Support » Plugin: NextScripts: Social Networks Auto-Poster » Error in Post to WordPress Blog self-hosted

  • Array
    (
    [pgID] =>
    [isPosted] => 0
    [pDate] => 2019-05-06 12:46:01
    [Error] => -=ERROR=- transport error – HTTP status code was not 200 – 0 – | HTTP/2 200
    date: Mon, 06 May 2019 12:46:18 GMT
    content-type: text/xml; charset=UTF-8
    server: Apache
    x-powered-by: PHP/7.0.33
    vary: Accept-Encoding
    x-backend-server: wordpress_backend/wp48.hosting.stackcp.net

    <?xml version=”1.0″ encoding=”UTF-8″?>
    <methodResponse>
    <params>
    <param>
    <value>
    <struct>
    <member><name>software_version</name><value><struct>
    <member><name>desc</name><value><string>Software Version</string></value></member>
    <member><name>readonly</name><value><boolean>1</boolean></value></member>
    <member><name>value</name><value><string>5.1.1</string></value></member>
    </struct></value></member>
    </struct>
    </value>
    </param>
    </params>
    </methodResponse>

    )
    Array ( [pgID] => [isPosted] => 0 [pDate] => 2019-05-06 12:46:01 [Error] => -=ERROR=- transport error – HTTP status code was not 200 – 0 – | HTTP/2 200 date: Mon, 06 May 2019 12:46:18 GMT content-type: text/xml; charset=UTF-8 server: Apache x-powered-by: PHP/7.0.33 vary: Accept-Encoding x-backend-server: wordpress_backend/wp48.hosting.stackcp.net <?xml version=”1.0″ encoding=”UTF-8″?> <methodResponse> <params> <param> <value> <struct> <member><name>software_version</name><value><struct> <member><name>desc</name><value><string>Software Version</string></value></member> <member><name>readonly</name><value><boolean>1</boolean></value></member> <member><name>value</name><value><string>5.1.1</string></value></member> </struct></value></member> </struct> </value> </param> </params> </methodResponse> )

    The page I need help with: [log in to see the link]

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author NextScripts

    (@nextscripts)

    Here is the important part from your error message:

    <name>readonly</name><value><boolean>1</boolean>

    This means that your target blog API is in “Read-Only” mode. You can’t write to WordPress that set to “Read-only”. Please switch the target WP to “read-write” mode.

    The same problem happened to me and my colleagues, Please be kind and explain how to solve the problem.

    Array
    (
        [pgID] => 
        [isPosted] => 0
        [pDate] => 2019-05-27 08:53:46
        [Error] => -=ERROR=- transport error - HTTP status code was not 200 - 0 -  | HTTP/2 200 
    date: Mon, 27 May 2019 08:54:02 GMT
    server: nginx/1.15.10
    content-type: text/xml; charset=UTF-8
    cache-control: max-age=2592000
    expires: Wed, 26 Jun 2019 08:54:01 GMT
    vary: Accept-Encoding,User-Agent
    accept-ranges: none
    x-server-cache: true
    
    <?xml version="1.0" encoding="UTF-8"?>
    <methodResponse>
      <params>
        <param>
          <value>
          <struct>
      <member><name>software_version</name><value><struct>
      <member><name>desc</name><value><string>Software Version</string></value></member>
      <member><name>readonly</name><value><boolean>1</boolean></value></member>
      <member><name>value</name><value><string>5.2.1</string></value></member>
    </struct></value></member>
    </struct>
          </value>
        </param>
      </params>
    </methodResponse>
    
    )
    Array ( [pgID] => [isPosted] => 0 [pDate] => 2019-05-27 08:53:46 [Error] => -=ERROR=- transport error - HTTP status code was not 200 - 0 - | HTTP/2 200 date: Mon, 27 May 2019 08:54:02 GMT server: nginx/1.15.10 content-type: text/xml; charset=UTF-8 cache-control: max-age=2592000 expires: Wed, 26 Jun 2019 08:54:01 GMT vary: Accept-Encoding,User-Agent accept-ranges: none x-server-cache: true <?xml version="1.0" encoding="UTF-8"?> <methodResponse> <params> <param> <value> <struct> <member><name>software_version</name><value><struct> <member><name>desc</name><value><string>Software Version</string></value></member> <member><name>readonly</name><value><boolean>1</boolean></value></member> <member><name>value</name><value><string>5.2.1</string></value></member> </struct></value></member> </struct> </value> </param> </params> </methodResponse> )
    
    Plugin Author NextScripts

    (@nextscripts)

    You need to contact your target site admins and ask them to give you read-write rights to that blog and its API.

Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.